%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary:        Command line interface to the freedesktop.org trashcan
Name:           trash-cli
Version:        0.11.3
Release:        0.4.r315%{?dist}
License:        GPLv2+
Group:          System Environment/Base
URL  :          http://trash-cli.googlecode.com/
Source0:        http://trash-cli.googlecode.com/files/trash-cli-%{version}-r315.tar.gz
Patch0:         trash-cli-empty_days.patch
BuildArch:      noarch
BuildRequires:  python-setuptools-devel dos2unix
Requires:       python-unipath python-setuptools

%description
trash-cli provides a command line trash usable with GNOME, KDE, Xfce or any 
freedesktop.org compatible trash implementation. The command line interface is
compatible with rm and you can use trash-put as an alias to rm.  

%prep
%setup -q -n %{name}-%{version}-r315
%patch0 -p1

for f in filesystem.py cli/restore.py cli/util.py ; do
    dos2unix -k trashcli/$f
done

for f in cli/restore.py cli/util.py filesystem.py trash.py ; do
    %{__sed} -i -e '1d' trashcli/$f
done

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 

# installs to /usr/man/man1 instead of /usr/share/man/man1 otherwise
install -d $(dirname %{buildroot}%{_mandir})
mv %{buildroot}/usr/man %{buildroot}%{_mandir}

# rename the restore to keep it consistent with other package binaries
# also, enables better tab completion

mv -v %{buildroot}/%{_bindir}/restore-trash %{buildroot}/%{_bindir}/trash-restore
rm -f %{buildroot}/%{_bindir}/volume-of

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README.txt AUTHORS COPYING

%{_bindir}/trash-*
%{python_sitelib}/trashcli/
%{python_sitelib}/trash_cli-*-py%{pyver}.egg-info
%{_mandir}/man1/trash-*

%changelog
* Thu May 12 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.11.3-0.4.r315
- bumpspec for a rebuild

* Mon Feb 07 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.11.3-0.3.r315
- Updated patch

* Sun Feb 06 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.11.3-0.2.r315
- Add requires to python-setuptools
- Patch to correct trash-empty

* Tue Jan 04 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.11.3-0.1.r315 
- update to latest up stream release
- http://pypi.python.org/pypi/trash-cli/
- rename restore-trash to trash-restore : refer comment

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Feb 18 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.11.2-2
- Update as per review

* Fri Oct 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.11.2-1
- new upstream release
- cleaned up spec

* Mon Jun 29 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.11.1.2-1
- Updated spec for review

* Sat Mar 14 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.11.0-1.r199
- initial build


